"""
Initialize the database modules, create the database tables and default data.
"""

from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker

from .models import Base, AuditModel, SentArticleModel, RssSourceModel, FeedChannelModel
from .db import DatabaseManager

# Initialise a database session
engine = create_engine(DatabaseManager.get_database_url(use_async=False))
session = sessionmaker(bind=engine)()

# Create tables if not exists
Base.metadata.create_all(engine)

session.commit()
session.close()

