"""A collection of utility functions that can be used in various places."""

import aiohttp
import logging

from discord import Interaction

log = logging.getLogger(__name__)

async def get_rss_data(url: str):
    async with aiohttp.ClientSession() as session:
        async with session.get(url) as response:
            items = await response.text(), response.status

    return items

async def followup(inter: Interaction, *args, **kwargs):
    """Shorthand for following up on an interaction.

    Parameters
    ----------
    inter : Interaction
        Represents an app command interaction.
    """

    await inter.followup.send(*args, **kwargs)

async def audit(cog, *args, **kwargs):
    """Shorthand for auditing an interaction."""

    await cog.bot.audit(*args, **kwargs)
